package com.bonus.core.supermarket.vo;

import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class SupermarketQueryProductInfoVO {
   @ApiModelProperty("商品id")
   private Long materialId;
   @ApiModelProperty("商品")
   private String materialName;
   @ApiModelProperty("图片")
   private String imgUrl;
   @ApiModelProperty("销售价")
   private Integer salePrice;
   @ApiModelProperty("优惠价")
   private Integer prefPrice;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("库存id")
   private Long inventoryId;
   @ApiModelProperty("销售方式(1按份,2称重)")
   private Integer salesMode;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public Integer getPrefPrice() {
      return this.prefPrice;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Long getInventoryId() {
      return this.inventoryId;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

   public void setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
   }

   public void setPrefPrice(final Integer prefPrice) {
      this.prefPrice = prefPrice;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setInventoryId(final Long inventoryId) {
      this.inventoryId = inventoryId;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

}
